Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.persistence.testing
Class MemoryStorageTest

    java.lang.Object
      rice.persistence.testing.Test
          rice.persistence.testing.MemoryStorageTest

Direct Known Subclasses:
  PersistentStorageTest

    public class MemoryStorageTest

extends Test

This class is a class which tests the Storage class in the rice.persistence package.

Nested Class Summary
`class` | `MemoryStorageTest.VariableId`

Field Summary
`protected Storage` | `storage`
`protected boolean` | `store`

Fields inherited from class rice.persistence.testing.Test
`environment, FAILURE, PAD_SIZE, SUCCESS`

Constructor Summary
`MemoryStorageTest(boolean store, Environment env)` Builds a MemoryMemoryStorageTest

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `setUp(Continuation c)`
`void` | `start()`
`void` | `testExists(Continuation c)`
`void` | `testRetreival(Continuation c)`
`void` | `testVariableLength()`

Methods inherited from class rice.persistence.testing.Test
`sectionEnd, sectionStart, stepDone, stepDone, stepException, stepStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### storage

    protected Storage storage

### store

    protected boolean store

Constructor Detail

### MemoryStorageTest

    public MemoryStorageTest(boolean store,
                             Environment env)

  Builds a MemoryMemoryStorageTest

Method Detail

### setUp

    public void setUp(Continuation c)

### testRetreival

    public void testRetreival(Continuation c)

### testExists

    public void testExists(Continuation c)

### testVariableLength

    public void testVariableLength()

### start

    public void start()

  Specified by:
    `start` in class `Test`

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.